task export{
    String sample_id
    Array[File] results
    String docker
    String cluster_config
    String disk_size

    command <<<
        cp -r ${sep=" " results} .
        # seg
        cnvkit.py export seg *.cns -o ${sample_id}.seg
        # heatmap
        cnvkit.py heatmap *.cns -o ${sample_id}.heatmap.pdf
    >>>
   
    runtime { 
        docker: docker
        cluster: cluster_config
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File seg = "${sample_id}.seg"
        File heatmap = "${sample_id}.heatmap.pdf"
    }
}